Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class SshToolsApplicationApplet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      javax.swing.JApplet
                          com.sshtools.common.ui.SshToolsApplicationApplet

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable

Direct Known Subclasses:
  SshToolsApplicationClientApplet

public abstract class SshToolsApplicationApplet
extends javax.swing.JApplet

DOCUMENT ME!

See Also:
  Serialized Form

Nested Class Summary
`class` | `SshToolsApplicationApplet.SshToolsApplicationAppletContainer`

Nested classes inherited from class javax.swing.JApplet
`javax.swing.JApplet.AccessibleJApplet`

Nested classes inherited from class java.applet.Applet
`java.applet.Applet.AccessibleApplet`

Nested classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected SshToolsApplicationPanel` | `applicationPanel` DOCUMENT ME!
`protected java.lang.String` | `disabledActions` DOCUMENT ME!
`protected java.awt.Color` | `infoBackground` DOCUMENT ME!
`protected java.awt.Color` | `infoBorderColor` DOCUMENT ME!
`protected int` | `infoBorderThickness` DOCUMENT ME!
`protected java.awt.Color` | `infoForeground` DOCUMENT ME!
`protected com.sshtools.common.ui.SshToolsApplicationApplet.LoadingPanel` | `loadingPanel` DOCUMENT ME!
`protected org.apache.commons.logging.Log` | `log` DOCUMENT ME!
`protected boolean` | `menuBar` DOCUMENT ME!
`static java.lang.String[][]` | `PARAMETER_INFO` DOCUMENT ME!
`protected boolean` | `statusBar` DOCUMENT ME!
`protected boolean` | `toolBar` DOCUMENT ME!
`protected javax.swing.JSeparator` | `toolSeparator` DOCUMENT ME!

Fields inherited from class javax.swing.JApplet
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SshToolsApplicationApplet()`

Method Summary
`javax.swing.JComponent` | `buildAppletComponent()` DOCUMENT ME!
`abstract SshToolsApplicationPanel` | `createApplicationPanel()` DOCUMENT ME!
`void` | `destroy()` DOCUMENT ME!
`void` | `doAction(java.lang.String name)` DOCUMENT ME!
`java.lang.String` | `getParameter(java.lang.String key, java.lang.String def)` DOCUMENT ME!
`java.lang.String[][]` | `getParameterInfo()` DOCUMENT ME!
`void` | `init()` DOCUMENT ME!
`void` | `initApplet()` DOCUMENT ME!
`protected void` | `seriousAppletError(java.lang.Throwable t)` DOCUMENT ME!
`protected void` | `setAppletComponent(javax.swing.JComponent component)` DOCUMENT ME!
`void` | `start()` DOCUMENT ME!
`void` | `startApplet()` DOCUMENT ME!
`void` | `stop()` DOCUMENT ME!

Methods inherited from class javax.swing.JApplet
`addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, remove, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.applet.Applet
`getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAMETER_INFO

    public static final java.lang.String[][] PARAMETER_INFO

  DOCUMENT ME!

### log

    protected org.apache.commons.logging.Log log

  DOCUMENT ME!

### loadingPanel

    protected com.sshtools.common.ui.SshToolsApplicationApplet.LoadingPanel loadingPanel

  DOCUMENT ME!

### toolSeparator

    protected javax.swing.JSeparator toolSeparator

  DOCUMENT ME!

### applicationPanel

    protected SshToolsApplicationPanel applicationPanel

  DOCUMENT ME!

### infoForeground

    protected java.awt.Color infoForeground

  DOCUMENT ME!

### infoBorderThickness

    protected int infoBorderThickness

  DOCUMENT ME!

### toolBar

    protected boolean toolBar

  DOCUMENT ME!

### menuBar

    protected boolean menuBar

  DOCUMENT ME!

### statusBar

    protected boolean statusBar

  DOCUMENT ME!

### infoBackground

    protected java.awt.Color infoBackground

  DOCUMENT ME!

### infoBorderColor

    protected java.awt.Color infoBorderColor

  DOCUMENT ME!

### disabledActions

    protected java.lang.String disabledActions

  DOCUMENT ME!

Constructor Detail

### SshToolsApplicationApplet

    public SshToolsApplicationApplet()

Method Detail

### getParameter

    public java.lang.String getParameter(java.lang.String key,
                                         java.lang.String def)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!
    `def` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### init

    public void init()

  DOCUMENT ME!

### initApplet

    public void initApplet()
                    throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### startApplet

    public void startApplet()

  DOCUMENT ME!

### buildAppletComponent

    public javax.swing.JComponent buildAppletComponent()
                                                throws java.io.IOException,
                                                       SshToolsApplicationException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `SshToolsApplicationException` - DOCUMENT ME!

### doAction

    public void doAction(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!

### createApplicationPanel

    public abstract SshToolsApplicationPanel createApplicationPanel()
                                                             throws SshToolsApplicationException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `SshToolsApplicationException` - DOCUMENT ME!

### setAppletComponent

    protected void setAppletComponent(javax.swing.JComponent component)

  DOCUMENT ME!

  Parameters:
    `component` - DOCUMENT ME!

### seriousAppletError

    protected void seriousAppletError(java.lang.Throwable t)

  DOCUMENT ME!

  Parameters:
    `t` - DOCUMENT ME!

### start

    public void start()

  DOCUMENT ME!

### stop

    public void stop()

  DOCUMENT ME!

### destroy

    public void destroy()

  DOCUMENT ME!

### getParameterInfo

    public java.lang.String[][] getParameterInfo()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD